System Endpoints
GET /api/system/status
Returns complete system status information.
Response:
{
"device": "Nine Fives Programmable SPDT Switch",
"hostname": "nf-device",
"model": "NF-SW-01",
"serial": "ABC123",
"status": "Connected via eth",
"temperature": 45.2,
"connectedIface": "eth0"
}
| Field | Type | Description |
|---|---|---|
device |
string | Device name |
hostname |
string | System hostname |
model |
string | Device model identifier |
serial |
string | Serial number |
status |
string | Connection status: "Connected via eth", "Connected via usb", or "Disconnected" |
temperature |
number | Device temperature in °C |
connectedIface |
string | Network interface the client is connected through (eth0 or usb0) |
Sub-Endpoints
Individual fields are available at dedicated endpoints:
| Endpoint | Returns |
|---|---|
GET /api/system/status/device |
{"device": "..."} |
GET /api/system/status/hostname |
{"hostname": "..."} |
GET /api/system/status/model |
{"model": "..."} |
GET /api/system/status/serial |
{"serial": "..."} |
GET /api/system/status/status |
{"status": "..."} |
GET /api/system/status/temperature |
{"temperature": 45.2} |
GET /api/system/status/connectedIface |
{"connectedIface": "eth0"} |
POST /api/system/reboot
Reboots the device. The device will be unreachable for approximately 30 seconds.
Request: No body required.
Response: